import QtQuick 2.1
import org.kde.kirigami 2.4 as Kirigami
import org.kde.kquickcontrolsaddons 2.0

Item {

    property alias icon: tipIcon.icon;
    property alias text: tipText.text;

    width: parent.width;
    height: Kirigami.Units.iconSizes.toolbar;

    opacity: 0.0;

    Behavior on opacity {
        PropertyAnimation {
            duration: 100;
            easing.type: Easing.InOutQuad;
        }
    }

    QIconItem {

        id: tipIcon;

        width: Kirigami.Units.iconSizes.toolbar;
        height: Kirigami.Units.iconSizes.toolbar;

        icon: "dialog-information";
    }

    Text {

        id: tipText;

        anchors {
            left: tipIcon.right;
            leftMargin: 5;
            verticalCenter: parent.verticalCenter;
        }

        color: palette.text;
    }
}
